<template>
  <div class="pro-items">
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
      integrity="sha512-iBBXm8fW90+nuLcSKlbmrPcLa0OT92xO1BIsZ+ywDWZCvqsWgccV3gFoRBv0z+8dLJgyAHIhR35VZc2oM/gI1w=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <div class="pro-container">
      <p class="pro-s-no">{{ list.SNo }}</p>
      <img class="pro-img" :src="list.Image" alt="" @click="preview" />
      <p class="pro-name">{{ list.Name }}</p>
      <p class="pro-cont">{{ list.Content }}</p>
      <p class="pro-a-rate">₹{{ list.ActualRate }}</p>
      <p class="pro-off">₹{{ eightyoff }}</p>
      <p class="pro-price">₹{{ twentyoff }}</p>
      <p class="pro-quantity">
        <input
          onkeydown="if(event.key==='.'){event.preventDefault();}"
          min="0"
          type="number"
          class="enter-quantity"
          placeholder="Qty 0"
          v-model="qty"
          @input="totalamount"
        />
      </p>
      <p class="pro-total">₹{{ total ? amount : 0 }}</p>
    </div>
    <div>
      <div class="img-size">
        <div class="image freeze" v-if="preimg">
          <!-- <div class="preimg">
            <img :width="width" :src="list.Image" class="imgpre" />
            <i
              class="fa fa-window-close"
              aria-hidden="true"
              @click="close()"
            ></i>
          </div> -->
          <v-card :loading="loading" class="mx-auto my-12 preimg">
            <template slot="progress">
              <v-progress-linear
                color="deep-purple"
                height="10"
                indeterminate
              ></v-progress-linear>
            </template>

            <!-- <v-img
      class="p-image"
      height="250"
      :src="list.Image"
    ></v-img> -->
            <div v-if="!ImgVed">
              <img :width="width" :src="list.Image" class="imgpre" />
            </div>
            <div v-if="ImgVed">
              <iframe
                class="YT"
                :src="list.Link"
                width="100%"
                allowfullscreen
              ></iframe>
            </div>
            <div class="wholeImgToggle">
              <div class="btn-width">
                <button class="c-video" @click="toggleImage">
                  IMAGE
                </button>
                <button class="c-video" @click="toggleVI">
                  VIDEO
                </button>
              </div>
            </div>
            <v-card-title>{{ list.Name }}</v-card-title>

            <v-card-text>
              <div class="d-flexone">
                <p class="c-details">Content: {{ list.Content }}</p>
                <p class="c-details">Actual Rate: ₹{{ list.ActualRate }}</p>
              </div>
              <div class="d-flextwo">
                <p class="c-details">
                  80% OFF: <span class="pro-off"> ₹{{ eightyoff }}</span>
                </p>
                <p class="c-details">Price: ₹{{ twentyoff }}</p>
              </div>
            </v-card-text>

            <!-- <v-divider class="mx-4"></v-divider> -->
            <v-btn class="close-btn" @click="close()">close</v-btn>
          </v-card>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["list", "totalPrice", "checkOut", "updateinput", "objqty"],
  data() {
    return {
      qty: "",
      total: false,
      amount: null,
      eightyoff: null,
      twentyoff: null,
      NetDiscount: null,
      OriginalPrice: null,
      preimg: false,
      ImgVed: false,
      counter: 1,
    };
  },
  methods: {
    totalamount() {
      // debugger; // eslint-disable-line no-debugger
      this.total = true;
      this.amount = this.qty * this.twentyoff;
      this.NetDiscount = this.eightyoff * this.qty;
      this.OriginalPrice = this.list.ActualRate * this.qty;
      this.$emit(
        "onAmount",
        this.amount,
        this.list.Name,
        this.NetDiscount,
        this.OriginalPrice
      );
      // console.log(this.list);
    },
    toggleVI() {
      this.ImgVed = true;
    },
    toggleImage() {
      this.ImgVed = false;
    },
    eighty() {
      // debugger; // eslint-disable-line no-debugger
      this.eightyoff = (this.list.ActualRate / 100) * 80;
    },
    twenty() {
      this.twentyoff = (this.list.ActualRate / 100) * 20;
    },
    // TotalDiscount() {
    //   this.NetDiscount = this.eightyoff * this.qty;
    // },
    // TotalPriceval() {
    //   this.OriginalPrice = this.list.ActualRate * this.qty;
    // },
    preview() {
      this.preimg = true;
    },
    close() {
      this.preimg = false;
    },
  },
  watch: {
    checkOut() {
      // debugger; // eslint-disable-line no-debugger

      if (this.checkOut === true) {
        this.$emit(
          "ConfirmCheckout",
          this.amount,
          this.list.Name,
          this.list.SNo,
          this.qty,
          this.list.Image,
          this.twentyoff
        );
      }
    },
    updateinput() {
      if (this.list.Name === this.objqty.name) {
        this.qty = this.objqty.qty;
        this.totalamount();
      }
    },
  },
  mounted() {
    this.eighty();
    this.twenty();
    // this.TotalDiscount();
    // this.TotalPriceval();
  },
};
</script>

<style scoped>
.wholeImgToggle {
  margin-left: auto;
  margin-right: auto;
}
.btn-width {
  width: 10rem;
  display: flex;
  margin: auto;
}
.pro-items {
  background-color: #fff;
  width: 100%;
}
.YT {
  height: 400px;
}
.pro-items-name {
  background-color: #4e0321;
  color: #fff;
  margin-top: 5px;
  padding: 6px;
  font-size: 20px;
  font-weight: 600;
}
.items-price-list,
.pro-container {
  display: flex;
  padding: 10px;
  border: 2px solid #6c79e0;
}
.pro-container:hover {
  background-color: #edecff;
}
.pro-container {
  border-top: 3px solid #fff;
}
.items-price-list p,
.pro-container p {
  margin: 0px;
  color: #000;
}
.pro-container p {
  display: flex;
  align-items: center;
  justify-content: center;
}
.pro-s-no-t,
.pro-s-no {
  width: 50px;
  text-align: center;
}
.pro-img-t,
.pro-img {
  width: 130px;
  height: 110px;
  text-align: center;
}
.pro-name-t,
.pro-name {
  width: 140px;
  text-align: center;
}
.pro-cont-t,
.pro-cont {
  width: 100px;
  text-align: center;
}
.pro-a-rate-t,
.pro-a-rate {
  width: 100px;
  text-align: center;
}
.pro-off-t,
.pro-off {
  width: 90px;
  text-align: center;
}
.pro-price-t,
.pro-price {
  width: 100px;
  text-align: center;
}
.pro-quantity-t,
.pro-quantity,
.enter-quantity {
  width: 70px;
  text-align: center;
}
.pro-total-t,
.pro-total {
  width: 120px;
  text-align: center;
}
.pro-off {
  text-decoration: line-through 2px red;
}
.enter-quantity {
  background-color: #fff;
  border: 2px solid #6c79e0;
}

.freeze {
  margin: auto;
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0px;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000000;
  cursor: pointer;
}
.imgpre {
  background-color: #fff;
  width: 100%;
  height: 400px;
}
.fa-window-close {
  color: red;
  font-size: 30px;
  z-index: 10000001;
  margin-left: -25px;
  height: 25px;
  width: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* .image {

} */
.preimg {
  width: 36%;
  height: auto;
  margin: auto;
  margin-top: 6%;
  justify-content: center;
}
.p-image {
  width: auto;
  height: auto;
}
.close-btn {
  display: flex;
  margin: auto;
  color: red;
  outline: none;
}
.d-flexone,
.d-flextwo {
  display: flex;
}
.c-details {
  width: 350px;
  font-size: 16px;
  font-weight: 600;
}
.c-video {
  margin: 5px auto;
  color: red;
  border: 0.5px solid #555;
  padding: 3px 7px;
  border-radius: 5px;
}
@media screen and (max-width: 1000px) {
  .btn-width {
    width: 30rem;
    display: flex;
    margin: auto;
  }
  .preimg {
    width: 100%;
    height: auto;
    margin: auto;
    margin-top: 20%;
    padding: 1rem;
    justify-content: center;
  }
  .imgpre {
    background-color: #fff;
    width: 100%;
    height: 1000px;
  }
  .proTitle {
    font-size: 40px;
  }
  .c-video {
    font-weight: 500;
    font-size: 40px;
  }
  .YT {
    height: 990px;
  }
  .c-details {
    width: 450px;
    font-size: 34px;
    font-weight: 600;
    padding: 15px;
  }
  .close-btn {
    display: flex;
    margin: auto;
    color: red;
    outline: none;
    font-size: 35px;
    width: 200px;
  }
}
@media screen and (max-width: 1000px) {
  .preimg {
    width: 100%;
    height: auto;
    margin: auto;
    margin-top: 20%;
    padding: 1rem;
    justify-content: center;
  }
  .imgpre {
    background-color: #fff;
    width: 100%;
    height: 1000px;
  }
  .proTitle {
    font-size: 40px;
  }
  .c-video {
    font-weight: 500;
    font-size: 40px;
  }
  .YT {
    height: 990px;
  }
  .c-details {
    width: 450px;
    font-size: 34px;
    font-weight: 600;
    padding: 15px;
  }
  .close-btn {
    display: flex;
    margin: auto;
    color: red;
    outline: none;
    font-size: 35px;
    width: 200px;
  }
}
</style>
